#
# spec file for package xfce4-panel-plugin-timer
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-timer-plugin

Name:           xfce4-panel-plugin-timer
Version:        1.6.0
Release:        6.1
Summary:        Alarm Clock Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.6/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
Recommends:     %{name}-lang = %{version}
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Timer plugin provides the functionality of an alarm clock and will run an
alarm at a specified time or at the end of a specified countdown period.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libexecdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/xfce4/panel-plugins/xfce4-timer.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-timer.png

%files lang -f %{name}.lang

%changelog
* Thu Jun  5 2014 gber@opensuse.org
- update to version 1.6.0
  - added button in the alarm window to rerun the timer
  - minor fixes and code cleanup
* Fri May 10 2013 gber@opensuse.org
- update to version 1.5.0
  - major code reorganization
  - allow popup menuitems to be activated by keyboard
  - various minor bugfixes
  - add the "About" dialog
* Tue Apr 23 2013 gber@opensuse.org
- update to version 1.0.2
  - some code cleanup
  - now the alarm dialog window displays the alarm name
  - added the option to define a default alarm command
* Wed Sep  5 2012 gber@opensuse.org
- update to version 1.0.0
  - fix a crash with 4.8+ panels
  - fix a segfault when the timer is paused
  - fix border sizes
  - code cleanups and introduce the optional feature "selecting a
    timer starts it"
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Tue Feb  7 2012 gber@opensuse.org
- update to version 0.6.4
  - incorporated xfce4-panel-plugin-timer-fix-windows.patch and
    xfce4-panel-plugin-timer-fix-timerinfo-truncation.patch
  - the mouse click receive code is separated for pre-4.8 and 4.8
    panels
  - added an icon
* Thu Feb  2 2012 gber@opensuse.org
- added xfce4-panel-plugin-timer-fix-windows.patch in order to set
  the add/edit dialog transient for the main configuration window
  and to make the notification dialog modal
* Thu Jan 26 2012 gber@opensuse.org
- added xfce4-panel-plugin-timer-fix-timerinfo-truncation.patch
  which uses a dynamically allocated string to hold timer data in
  order to prevent truncation in some locales (bnc#742788)
* Thu Jan  5 2012 gber@opensuse.org
- update to version 0.6.3
  - translation updates
* Sun Jun 19 2011 gber@opensuse.org
- update to version 0.6.2
  - added pause/resume functionality
  - minor fixes and cleanup
  - translation updates
- dropped
  xfce4-panel-plugin-timer-0.6.1-fix-invalid-function-type.patch
  which has been applied upstream
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
